
QGIS Application - Bug report #13464

Exported file differs from print composer preview

2015-09-30 06:58 AM - Zeis Verena

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21511

Description

Hello there,

I have the following problem.

I try to compose a picture of different map layers (see file "mappreview") and lock every single element.

It looks fine in the preview but when I export it, the export file only shows the current extract (see file "finalmap"). And whn I duplicate the

composer file, the duplicate also looks like the export file.

I am using version 2.10.1-Paris. 

Please help

History

#1 - 2015-09-30 07:53 AM - Zeis Verena

- Status changed from Open to Closed

I found a work around by creating on composer file per map part, saving each as png and creating a new composer file where I added all parts as image.

#2 - 2015-09-30 03:33 PM - Nyall Dawson

- Resolution set to invalid

Most likely you are using the "cache" setting for the map item, so it won't be redrawn unless you manually hit the refresh button. I think what you are trying

to achieve could be done instead using a combination of selecting the "lock layers for map" and "lock styles for map" checkboxes in the map item

properties.

2024-04-10 1/1


